JSF 2.0

Seit Stunden versuche ich ein JSF-Projekt unter Eclipse zu erstellen, damit ich mich in JSF 2.0 einlesen kann. Vergebens.

Zum einen gab es einen Fehler, dass versucht wurde JSF 2.0 zu laden obwohl 1.2 bereit stand, und nach dem dieser Fehler behoben war, konnte kein passender Compiler gefunden werden. Aber von Anfang an:

Bei der Meldung dass die Version 2.0 nicht passen würde wurde ich stutzig. Dieser Fehler lässt sich im Glassfish sehr einfach beheben, indem man über das UpdateTool einfach sämtliche AddOns installiert und auch auf die aktuelle Version bringt. Spätestens dann sollte bei dem AddOn glassfish-jsf die Version 2.0.0-xx stehen. Nun ging es weiter.

Nach dem der Fehler behoben war, fügte ich einen Server hinzu und und startete ihn mit dem Projekt, dass ich Deployen wollte.

Beim Aufrufen der Seite kam folgender Fehler:

SEVERE: StandardWrapperValve[jsp]: PWC1406: Servlet.service() for servlet jsp threw exception

org.apache.jasper.JasperException: java.err.nojdk

Nach etwas Googlen kam ich auf die Lösung. Ich hatte die falsche Runtime beim Server angegeben unter der er starten soll. Ich hatte die JRE angegeben, mit dieser kann natürlich kein Programm kompiliert werden. Nach dem ich die Runtime auf JDK geändert habe funktionierte dies auch und ich konnte mit dem Projekt weiter machen.

10. Dezember 2009

JSF 2.0 mit Glassfish

Seit Stunden versuche ich ein JSF-Projekt unter Eclipse zu erstellen, damit ich mich in JSF 2.0 einlesen kann. Vergebens. Zum einen gab es einen Fehler, dass […]